.matr-slider {
  position: relative;
}

.matr-slider-wrapper {
  overflow: hidden;
}

.matr-slider-items {
  display: flex;
  transition: transform 0.5s ease;
  will-change: transform;
}

.matr-slider-transition-none {
  transition: none;
}

.matr-slider-item {
  flex: 0 0 100%;
  max-width: 100%;
  user-select: none;
  will-change: transform;
}

/* кнопки влево и вправо */
.matr-slider-btn {
  position: absolute;
  top: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-align: center;
  border: none;
  transform: translateY(-50%);
  cursor: pointer;
  background-color: transparent;
}

.matr-slider-btn-hide {
  display: none;
}

.matr-slider-btn-prev {
  left: -54px;
}

.matr-slider-btn-next {
  right: -54px;
}

.matr-slider-btn:hover,
.matr-slider-btn:focus {
  color: #fff;
  text-decoration: none;
  outline: 0;
}

.matr-slider-btn::before {
  content: "";
  display: inline-block;
  width: 32px;
  height: 60px;
  background: transparent no-repeat center center;
  background-size: 100% 100%;
}

.matr-slider-btn-prev::before {
  background-image: url('https://advertastudio.ru/glavnaya-092025/left-pointer.png');
}

.matr-slider-btn-next::before {
  background-image: url('https://advertastudio.ru/glavnaya-092025/right-pointer.png');
}

/* индикаторы */
.matr-slider-indicators {
  display: flex;
  position: absolute;
  right: 0;
  bottom: -40px;
  z-index: 15;
  padding-left: 0;
  list-style: none;
  width: 66%;
}

.matr-slider-indicator {
  flex: 0 1 auto;
  box-sizing: content-box;
  width: 66%;
  height: 6px;
  background-color: #ececec;
  background-clip: padding-box;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  cursor: pointer;
}

.matr-slider-indicator-active {
  background-color: black;
}


/* другой код */

.matr-container {
  max-width: 90%;
  margin: 100px auto 0px auto;
}

.matr-slider-items {
  counter-reset: slide;
}

.matr-slider-item {
  flex: 0 0 100%;
  max-width: 100%;
  counter-increment: slide;
  position: relative;
}

.matr-slider-item {
  display: flex;
  width: 100%;
}

.matr-slider-item-left {
  width: 34%;
  box-sizing: border-box;
  padding-left: 2px;
}

.matr-slider-item-title {
  font-size: 38px;
  font-family: 'TTFirsNeue';
  padding-top: 6px;
}

.slider-header-link {
  text-decoration: none;
  color: black;
}

.slider-header-link:hover {
  text-decoration: underline;
}

.slider-header-link:active {
  text-decoration: none;
}

.matr-slider-item-toptext {
  position: absolute;
  font-size: 28px;
  width: 22%;
  top: 54%;
  font-family: 'TTFirsNeue';
  font-weight: 100;
}

.matr-slider-item-procenttext {
  position: absolute;
  font-size: 30px;
  background-color: black;
  color: white;
  padding: 10px 20px;
  border-radius: 26px;
  bottom: 12%;
  font-family: 'TTFirsNeue';
}

.matr-slider-item-bottomtext {
  position: absolute;
  font-size: 22px;
  width: 30%;
  bottom: 2%;
  font-family: 'TTFirsNeue';
}


.matr-slider-item-right {
  width: 66%;
  padding-right: 2px;
  text-align: center;
}

.matr-slider-img {
  max-width: 100%;
  max-height: 500px;
  border-radius: 40px;
}

@media screen and (max-width: 1860px) {
  .matr-slider-item-toptext {
    top: 44%;
  }

  .matr-slider-item-procenttext {
    bottom: 17%;
  }
}

@media screen and (max-width: 1600px) {
  .matr-slider-item-toptext {
    top: 30%;
  }
}

@media screen and (max-width: 1440px) {
  .matr-slider-item-toptext {
    top: 26%;
  }
}

@media screen and (max-width: 1360px) {
  .matr-slider-item-toptext {
    font-size: 26px;
  }

  .matr-slider-item-procenttext {
    font-size: 28px;
    bottom: 18%;
  }

}

@media screen and (max-width: 1230px) {
  .matr-slider-item-title {
    font-size: 50px;
  }

    .matr-slider-item-toptext {
    font-size: 22px;
  }

  .matr-slider-item-procenttext {
    bottom: 27%;
  }
}

@media screen and (max-width: 1180px) {
  .matr-slider-item-title {
    font-size: 36px;
  }

  .matr-slider-item-toptext {
    font-size: 17px;
    top: 36%;
  }

  .matr-slider-item-procenttext {
    bottom: 20%;
    font-size: 24px;
    padding: 10px 16px;

  }

  .matr-slider-item-bottomtext {
    font-size: 16px;
  }

}

@media screen and (max-width: 960px) {
  .matr-slider-item-title {
    font-size: 32px;
  }

  .matr-slider-item-toptext {
    font-size: 14px;
    top: 26%;
  }

  .matr-slider-item-procenttext {
    bottom: 27%;
    font-size: 18px;
  }

  .matr-slider-item-bottomtext {
    font-size: 14px;
  }

  .matr-slider-btn-next {
    right: -40px;
  }

  .matr-slider-btn-prev {
    left: -40px;
  }
}


@media screen and (max-width: 768px) {
  .matr-slider-btn-prev::before {
    background-size: 50%;
  }

  .matr-slider-btn-next::before {
    background-size: 50%;
  }

  .matr-slider-item-toptext {
    width: 24%;
    top: 18%;
  }

  .matr-slider-item-procenttext {
    bottom: 33%;
  }
}

@media screen and (max-width: 700px) {
  .matr-container {
    margin: 40px auto 0px auto;
  }

  .matr-slider-btn-prev {
    top: 27%;
  }

  .matr-slider-btn-next {
    top: 27%;
  }

  .matr-slider-item {
    display: block;
  }

  .matr-slider-item-left {
    width: 100%;
  }

  .matr-slider-item-toptext {
    position: unset;
    font-size: 18px;
    width: 60%;
    margin: 30px 0 20px 0;
  }

  .matr-slider-item-procenttext {
    position: unset;
    display: inline-block;
  }

  .matr-slider-item-bottomtext {
    position: unset;
    font-size: 16px;
    width: 40%;
    margin: 10px 0 10px 0;
  }

  .matr-slider-item-right {
    width: 100%;
  }

  .matr-slider-indicators {
    bottom: -35px;
    width: 100%;
  }
}

@media screen and (max-width: 600px) {
  .matr-slider-btn-prev {
    left: -34px;
  }

  .matr-slider-btn-next {
    right: -34px;
  }

  .matr-slider-btn-prev {
    top: 32%;
  }

  .matr-slider-btn-next {
    top: 32%;
  }

  .matr-slider-item-toptext {
    position: unset;
    font-size: 16px;
    width: 80%;
    margin: 30px 0 20px 0;
  }

  .matr-slider-item-procenttext {
    position: unset;
    display: inline-block;
  }

  .matr-slider-item-bottomtext {
    position: unset;
    font-size: 14px;
    width: 60%;
    margin: 10px 0 10px 0;
  }
}

@media screen and (max-width: 380px) {
  .matr-slider-btn-prev {
    left: -28px;
  }

  .matr-slider-btn-next {
    right: -28px;
  }

  .matr-slider-btn-prev {
    top: 40%;
  }

  .matr-slider-btn-next {
    top: 40%;
  }

  .matr-slider-item-procenttext {
    font-size: 14px;
    padding: 8px 8px;
  }

  .matr-slider-btn-prev::before {
    background-size: 40%;
  }

  .matr-slider-btn-next::before {
    background-size: 40%;
  }

  .matr-slider-item-title {
    font-size: 28px;
  }

  .matr-slider-item-toptext {
    margin: 15px 0 10px 0;
  }





}